- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::MessageStore::IteratorImp Class Referenceabstract

A base class for MessageStore::Iterator implementations. More...

`#include <gmessagestore.h>`

Inheritance diagram for GSmtp::MessageStore::IteratorImp:

## Public Member Functions
virtual std::auto_ptr< GSmtp::StoredMessage > | next ()=0
| IteratorImp ()
virtual | ~IteratorImp ()

## Public Attributes
unsigned long | m_ref_count

## Detailed Description

A base class for MessageStore::Iterator implementations.

Definition at line 52 of file gmessagestore.h.

## Constructor & Destructor Documentation

GSmtp::MessageStore::IteratorImp::IteratorImp | ( |  | ) |

Definition at line 33 of file gmessagestore.cpp.

GSmtp::MessageStore::IteratorImp::~IteratorImp | ( |  | ) |
| virtual

Definition at line 38 of file gmessagestore.cpp.

## Member Function Documentation

virtual std::auto_ptr<GSmtp::StoredMessage> GSmtp::MessageStore::IteratorImp::next | ( |  | ) |
| pure virtual

Implemented in GSmtp::FileIterator.

## Member Data Documentation

unsigned long GSmtp::MessageStore::IteratorImp::m_ref_count

Definition at line 54 of file gmessagestore.h.

Referenced by GSmtp::MessageStore::Iterator::Iterator(), and GSmtp::MessageStore::Iterator::operator=().

The documentation for this class was generated from the following files:

- gmessagestore.h
- gmessagestore.cpp